r.info(1)

NAME
r.info - Outputs basic information about a raster map.

KEYWORDS
raster, metadata, extent, history

SYNOPSIS
r.info
r.info --help
r.info [-grseh] map=name [--help] [--verbose] [--quiet] [--ui]

  Flags:

-g
    Print raster array information in shell script style

-r
    Print range in shell script style

-s
    Print stats in shell script style

-e
    Print extended metadata information in shell script style

-h
    Print raster history instead of info

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

map=name [required]
    Name of raster map

DESCRIPTION
r.info reports some basic information about a user-specified raster map layer. This map layer must exist in the user’s current mapset search path. Information about the map’s boundaries, resolution, projection, data type, category number, data base location and mapset, the timestamp and history are put into a table and written to standard output. The types of information listed can also be found in the cats, cellhd, and hist directories under the mapset in which the named map is stored.

The user can save the tabular output to a file by using the UNIX redirection mechanism (>); for example, the user might save a report on the soils map layer in a file called soil.txt by typing:

r.info map=soils > soil.txt

NOTES
On large maps, the total number of cells in the map may not be displayed with an accurate number. This is only cosmetic.

Some standards (ISO-C90) and compilers do not support the ’long long’ type as a 64-bit type. In the case that GRASS GIS was built with such a compiler, an accuracy message may be displayed in the output of r.info after Total Cells.

EXAMPLES
Below is a full report produced by r.info for the raster map slope in the North Carolina sample data base:

r.info slope
 +----------------------------------------------------------------------------+
 | Map:      slope                          Date: Tue Nov  7 01:11:23 2006    |
 | Mapset:   PERMANENT                      Login of Creator: helena          |
 | Location: nc_spm_08_grass7                                                 |
 | DataBase: /grassdata                                                       |
 | Title:    South-West Wake county: slope in degrees ( slope_ned10m )        |
 | Timestamp: none                                                            |
 |----------------------------------------------------------------------------|
 |                                                                            |
 |   Type of Map:  raster               Number of Categories: 255             |
 |   Data Type:    FCELL                                                      |
 |   Rows:         1350                                                       |
 |   Columns:      1500                                                       |
 |   Total Cells:  2025000                                                    |
 |        Projection: Lambert Conformal Conic                                 |
 |            N:     228500    S:     215000   Res:    10                     |
 |            E:     645000    W:     630000   Res:    10                     |
 |   Range of data:    min = 0  max = 38.68939                                |
 |                                                                            |
 |   Data Source:                                                             |
 |    raster elevation file elev_ned10m                                       |
 |                                                                            |
 |                                                                            |
 |   Data Description:                                                        |
 |    generated by r.slope.aspect                                             |
 |                                                                            |
 |   Comments:                                                                |
 |    slope map elev = elev_ned10m                                            |
 |    zfactor = 1.00 format = degrees                                         |
 |    min_slope = 0.000000                                              |
 |                                                                            |
 +----------------------------------------------------------------------------+

Alternatively, the output from r.info may be confined to a more terse subset of the available information by passing various flags to the module:

Output in shell script style, useful for eval (eval `r.info -g slope`):

r.info -g slope
north=228500
south=215000
east=645000
west=630000
nsres=10
ewres=10
rows=1350
cols=1500
cells=2025000
datatype=FCELL
ncats=255

Output the map data range:

r.info -r slope
min=0
max=38.68939

Output the extended map data metadata in shell style:

r.info -e slope
map=slope
mapset=PERMANENT
location=nc_spm_08_grass7
database=/grassdata
date="Tue Nov  7 01:11:23 2006"
creator="helena"
title="South-West Wake county: slope in degrees (slope_ned10m)"
timestamp="none"
units="none"
vdatum="none"
source1="raster elevation file elev_ned10m"
source2=""
description="generated by r.slope.aspect"
comments="slope map elev = elev_ned10mzfactor = 1.00 format = degreesmin_slp_allowed = 0.000000"

SEE ALSO
g.mapsets, r.coin, r.describe, r.report, r.stats, r.support, r.univar, r.what

AUTHOR
Michael O’Shea, U.S. Army Construction Engineering Research Laboratory

SOURCE CODE

Available at: r.info source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2021 GRASS Development Team, GRASS GIS 7.8.6RC2 Reference Manual